:root
{
	--main-color: rgb(255, 49, 21);
	--main-color-overlay: rgb(255, 49, 21, 0.85);
	--text-color: #505050;
	--text-bg-gray-dark: #ccc; 
	--pw-gray-dark: #212121;
}
html {
  	box-sizing: border-box;
  	max-width: 100%;
}
*, *:before, *:after {
  	box-sizing: inherit;
  	max-width: 100%;
}
html, body {
  	height: 100%;
	font-family: 'Roboto Condensed', sans-serif;
}
body {
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	background-attachment: fixed;
	background-image: url('../img/bg.jpg');
}

main {
	display: flex;
	flex-direction: column;
	min-height: 100%;
	background-color: rgba(43, 48, 53, 0.85);
	color: white;	
}
/* Colors */
.text-main-color {
	color: var(--main-color);
}
.bg-main-color {
	background-color: var(--main-color);
}
.first-letter::first-letter
{
	color: var(--main-color);
	font-weight: bolder;
}
.pw-gray-dark {
	background-color: var(--pw-gray-dark);
}

/* Forms */
main input.invalid {
	border-color: red;
}

/* Footer */
footer {
	background-color: var(--main-color);
}
footer *:not(.overlay-dark):not(.overlay-main-color)
{
	z-index: +1;
}
footer .footer-copyright
{
	color: #e8e8e8;
	font-size: 14px;
	width: 100%;
	text-align: center;
	line-height: 26px;
    font-weight: 400;
	padding: 0 0 12px 0;
}
footer .ul-social a > i
{
	color: white;
	font-size: 24px;
}
footer .ul-social a > i:hover
{
	color: var(--main-color);
}
footer .ul-social .list-group-item
{
	border: 0;
}
footer .ul-social .list-group-item:hover
{
	transform: scale3d(0.8, 1, 1.7);
}
footer .row-address
{
	background-color: var(--pw-gray-dark);
	border-radius: 12px;
	margin: 0 80px;
	box-shadow: 6px 6px 9px #000;
}
footer .row-address > .col-address {
	position: relative;
}
footer .row-address > .col-address:not(:first-of-type)::before
{
	content: "";
	position: absolute;
	top: 20%;
	left: 0;
	height: 60%;
	width: max-content;
	border-left: 3px solid var(--main-color);
	z-index: +1;
}
footer .footer-website .website-name
{
	font-weight: bolder;
	font-size: 24px;
}
footer .footer-teacher { text-decoration: underline; } 
footer .footer-title
{
	font-weight: 700;
	margin-bottom: 32px;
	text-transform: uppercase;
	font-size: 16px;
}
footer .footer-icon
{
	color: var(--main-color);
	font-size: 40px;
	margin-top: 24px;
}
footer .row-footer
{
	display: block;
	position: relative;
	background: url('/media/home/footer/bg.jpg');
	padding-bottom: 24px;
}
footer .row-footer .container
{
	position: relative;
}
footer .row-footer ul
{
	list-style: none;
	padding: 0;
}
footer .row-footer ul > li
{
	display: block;
}
footer .row-footer ul > li > i:first-of-type
{
	margin-right: 16px;
}
footer .row-footer ul > li > a
{
	text-decoration: none;
	color: var(--bs-body-color);
}
footer .row-footer ul > li:hover,
footer .row-footer ul > li:hover > a
{
	color: var(--main-color);
}

footer .footer-counts-item
{
	border: 2px solid white;
	color: white;
}
footer .footer-counts-title
{
	text-transform: uppercase;
}
footer .footer-count-title
{
	text-transform: uppercase;
	font-weight: 500;
	font-size: 20px;
}


footer .footer-count-total
{
	font-weight: bolder;
	font-size: 60px;
}
footer .footer-counts-bg {
	position: relative;
	background-image: url('../img/bg-footer-counts.jpg');
}
footer .footer-contact-bg {
	position: relative;
	background-image: url('../img/bg-footer-contact.jpg');
}

/* Common */
.page-title
{
	text-shadow: 8px 6px 8px #000;
}
img.logo 
{
	width: 38px;
	height: 38px;
	border-radius: 50%;
	border: 2px solid #fff;
}
.overlay,
.overlay-dark,
.overlay-main-color
{
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: 0;
	width: 100%;
	height: 100%;
	z-index: -1;
}
.overlay { background-color: rgba(43, 48, 53, 0.85); }
.overlay-dark { background-color: rgba(0, 0, 0, 0.85); }
.overlay-main-color { background-color: var(--main-color-overlay); }

.bg-overlay {
	background-color: rgba(43, 48, 53, 0.85);
}
.bg-cover
{
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center center;
}
.circle 
{
	border-radius: 50%;
}

.pw-flex-col-center
{
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-around;
}
.pw-flex-row
{
	display: flex;
	flex-direction: row;
	align-items: flex-start;
	justify-content: space-between;
	flex-wrap: wrap;
}
.pw-flex-row.pw-end {
	justify-content: flex-end;
}
.pw-flex-row.pw-start {
	justify-content: flex-start;
}
.search-input { 
	width: 100%;	
}

[data-pw-confirm="0"] { display: none; }

/* Pagination */
[data-pw-pagination="1"] {
	display: none;
}
[data-pw-pagination] 
{
    height: auto;
}
[data-pw-pagination] ul
{
    margin: 0;
}

/* Top item page */
.item-page-top
{
	min-height: 60vh;
	display: flex;
	flex-direction: column;
	justify-content: space-around;
}
.item-page-top .inner-middle
{
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-around !important;
}

main .list-group-horizontal {
	flex-wrap: wrap;
	justify-content: center;
}

/* Order by - filters */
#cobitems,
[data-pw-items], 
[data-pw-filters].show 
{
	margin-bottom: 16px;
}
[data-pw-alert-filters="0"] { display: none; }

/* Forms */
main .pw-form-fieldset 
{
	margin-top: 24px;
	display: flex;
	flex-direction: column;
	width: 100%;
	max-width: 600px;
	
}
main #pwd_secure:not(.field-secured)
{
	border: 2px solid red;
}

main .pw-form-fieldset.fieldset-secure:not(.field-secured)
{
	
}
main .pw-form-field
{
	padding: 3px;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	width: 100%;
}
main .pw-form-field .form-select
{
	display: inline-block;
	max-width: 60%;
}
main .pw-form-field > label
{
	width: 45%;	
	max-width: 45%;	
}
main .pw-form-field > [pw-form-input]:not([type="checkbox"])
{
	width: 45%;	
	max-width: 45%;	
}
.input-html:not([data-pw-filters] .input-html) {
	height: 400px;
}



/* Mail form */
.textarea-mail {
	width: 480px;
	max-width: 100%;
}

/* Items */
[data-pw-item="0"] { display: none; }

/* Selected items */
[data-pw-item-selected="1"],
[data-pw-items] [data-pw-selected="1"],
[data-pw-courses] tr[data-pw-selected="1"],
[data-pw-courses] [data-pw-selected="1"] .card,


[data-pw-selected="1"] .to-highlight,
.selected-course,
.selected-formation,
.selected-degree,
.selected-role,
.group-active
{
	background: rgba(84, 190, 211, 0.2) !important;
} 
[data-pw-select] {
    cursor: cell;
}

[data-pw-item-selected="1"] [data-pw-select], 
[data-pw-selected="1"] [data-pw-select] 
{
    cursor: zoom-out;
}


[data-pw-published-eval="1"] > .published-0,
[data-pw-published-eval="0"] > .published-1 
{
	display: none;
}
.alert > i {
	margin-right: 16px;
}

/* Is student, is teacher */
[data-pw-item] > [data-pw-is-student="1"],
[data-pw-item][data-pw-is-student="1"]
{
	border: 1px solid var(--bs-pink);
	box-shadow: 5px 3px 8px rgb(0,0,0);
}


[data-pw-item] > [data-pw-is-teacher="1"],
[data-pw-item][data-pw-is-teacher="1"] 
{
	border: 1px solid var(--bs-indigo);
	box-shadow: 5px 3px 8px rgb(0,0,0);
}

/* Legend */
.list-legend {
	display: inline-flex;
	align-items: end;
	justify-content: end;
}
.list-legend > .list-legend-item {
	margin-right: 12px;
	display: inline-block;
}
.list-legend > .list-legend-item > i.is-student {
	color : var(--bs-pink);
}
.list-legend > .list-legend-item > i.is-teacher {
	color : var(--bs-indigo);
}
/* Export */
.export-part
{
	width: 100%;
	text-align: center;
} 
.export-part i 
{
	margin-right: 12px;
} 

/* Main menu */
.pw-menu-drop-lang > i
{
	margin-right: 8px;
}
.pw-menu-ul-lang
{
	min-width: 180px;
	max-width: 240px;
}
.pw-menu-ul-lang > li > .dropdown-item
{
	padding-right: 8px;
}
 

/* Media queries */
@media only screen and (max-width: 600px) 
{
	/* Forms */
	main .pw-form-field
	{
		display: block;
		width: 100%;
		clear: both;
	}
	main .pw-form-field *
	{
		margin: 0;
	}

	main .pw-form-field > .form-select
	{
		display: block;
		width: 100%;
	}
	main .pw-form-field label
	{
		display: block;
		width: 100%;
	}
	main .pw-form-field > [pw-form-input]
	{
		display: block;
		width: 100% !important;	
		margin: 0;
	}
	main .pw-form-field > [pw-form-input]:not([type="checkbox"])
	{
		display: block;
		width: 100% !important;	
	}

	.submit-form {
		margin: auto;
	}

	/* Export */
	.export-part {
		margin-bottom: 24px;
	} 

	/* Main menu */
	.pw-menu-ul-lang,
	.nav-item-lang,
	.pw-menu-drop-lang
	{
		width: 100%;
		max-width: 100%;
	}

	/* Footer */
	footer .row-address
	{
		margin: 0;
	}
}